{
  "name": "selenium-jest-automation",
  "version": "1.0.0",
  "description": "This is a POC on how to use Jest with Selenium.",
  "main": "index.js",
  "scripts": {
    "docker:up": "docker-compose up -d",
    "docker:down": "docker-compose down",
    "test": "jest --detectOpenHandles",
    "lint": "eslint . --ext .js,.jsx,.ts,.tsx --fix"
  },
  "pre-commit": [
    "lint",
    "docker:down",
    "docker:up",
    "test",
    "docker:down"
  ],
  "keywords": [
    "jest",
    "selenium",
    "javascript"
  ],
  "author": "Christopher Lim <toffer.lim87@gmail.com>",
  "license": "ISC",
  "devDependencies": {
    "@types/jest": "^27.0.2",
    "@types/node": "^16.11.7",
    "@types/selenium-webdriver": "^4.0.16",
    "@typescript-eslint/eslint-plugin": "^5.4.0",
    "@typescript-eslint/parser": "^5.4.0",
    "chromedriver": "^96.0.0",
    "eslint": "^8.2.0",
    "eslint-plugin-jest": "^25.2.4",
    "jest": "^27.3.1",
    "jest-junit": "^13.0.0",
    "pre-commit": "^1.2.2",
    "selenium-webdriver": "^4.0.0",
    "ts-jest": "^27.0.7",
    "ts-node": "^10.4.0",
    "typescript": "^4.5.2"
  }
}
